package sample.activity;

import java.math.BigDecimal;

import sample.vo.Employee;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.hibernate.GlueGenericHibernateDao;

public class AddEmployee extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericHibernateDao dao = (GlueGenericHibernateDao) this.getDao( "biz-dao" );
        int cnt = dao.deleteByHql( "delete Employee where deptno=10 and empno < 2000" );
        this.logger.info( cnt + " մϴ." );

        Employee row = new Employee();
        row.setEmpno( (long) 1111 );
        row.setDeptno( new BigDecimal( "10" ) );
        row.setEname( "׽ƮA" );
        dao.createEntity( row );

        row = new Employee();
        row.setEmpno( (long) 1112 );
        row.setDeptno( new BigDecimal( "10" ) );
        row.setEname( "׽ƮB" );
        dao.createEntity( row );

        row = new Employee();
        row.setEmpno( (long) 1113 );
        row.setDeptno( new BigDecimal( "10" ) );
        row.setEname( "׽ƮC" );
        dao.createEntity( row );

        row = new Employee();
        row.setEmpno( (long) 1114 );
        row.setDeptno( new BigDecimal( "10" ) );
        row.setEname( "׽ƮD" );
        dao.createEntity( row );

        row = new Employee();
        row.setEmpno( (long) 1115 );
        row.setDeptno( new BigDecimal( "10" ) );
        row.setEname( "׽ƮE" );
        dao.createEntity( row );

        return GlueBizControlConstants.SUCCESS;
    }
}
