package test;

import java.util.HashMap;
import java.util.List;

import sample.jaxws.JaxSampleServiceClient;

import com.poscoict.glueframework.context.GlueStaticContext;

public class MainTestSampleJaxWs
{
    public static void main( String[] args )
    {

        try
        {
            System.out.println( "====Test Start======" );
            JaxSampleServiceClient sampleService = (JaxSampleServiceClient) GlueStaticContext.getBeanFactory().getBeanObject( "jaxSampleService" );

            System.out.println( "====findString Start======" );
            String resultString = sampleService.findString( "TestID_findString" );
            System.out.println( "result:::::" + resultString );
            System.out.println( "====findString End======" );

            System.out.println( "====findMap Start======" );
            HashMap<String, String> resultMap = sampleService.findMap( "TestID_findMap" );
            System.out.println( "result:::::" + resultMap );
            System.out.println( "====findMap End======" );

            System.out.println( "====findList Start======" );
//            List<EmpVO> resultList = sampleService.findList();
//            for ( int i = 0; i < resultList.size(); i++ )
//            {
//                EmpVO row = resultList.get( i );
//                System.out.println( row.getEmpno() );
//            }
//            System.out.println( "====findList End======" );

            System.out.println( "====doGlueService Start======" );
            HashMap<String, Object> glueMap = new HashMap<String, Object>();
            glueMap.put( "ServiceName", "sample31-service" );
            glueMap.put( "deptno", "10" );
//            resultList = sampleService.doGlueService( glueMap );
//            for ( int i = 0; i < resultList.size(); i++ )
//            {
//                EmpVO row = resultList.get( i );
//                System.out.println( row.getEmpno() );
//            }
//            System.out.println( "====doGlueService End======" );

        } catch ( Exception e )
        {
            e.printStackTrace();
        }

    }
}
