package sample.activity;

import java.util.HashMap;
import java.util.Map;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class BizLogic1 extends GlueActivity<GlueContext>
{
    @Override
    public String runActivity( GlueContext ctx )
    {
        String daoName = this.getProperty( "dao" ) == null ? "biz-dao" : this.getProperty( "dao" );
        GlueGenericDao dao = this.getDao( daoName );
        Map<String, Object> paramMap = new HashMap<String, Object>();
        paramMap.put( "empno", "1111" );
        paramMap.put( "ename", "test-1" );
        paramMap.put( "sal", "1000" );
        paramMap.put( "deptno", "40" );
        dao.insert( "sample02.emp.insert", new GlueParameter<Map<String, Object>>( paramMap ) );
        return "success";
    }
}
