package sample.activity;

import java.util.List;
import java.util.Map;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class BizLogic_ViewString extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    @Override
    public String runActivity( GlueContext ctx )
    {
        this.logger.info( " TC : [{}]", ctx.get( GlueBizControlConstants.RECEIVE_TC ) );
        if ( ctx.get( "tc-idx" ) != null )
        {
            int idx = ( (Integer) ctx.get( "tc-idx" ) ).intValue();
            this.logger.info( "TC : [{}", ctx.getMessages().get( idx ).getTC() );
        } else
        {
            this.logger.info( "TC : [{}]", ctx.getMessage().getTC() );
        }
        this.logger.info( "TC  : {}", ctx.getMessages().size() );

        Object send = ctx.get( "stringObj" );
        if ( send instanceof String )
        {
            this.logger.info( " TC : [{}]", ctx.get( "stringObj" ) );
        } else if ( send instanceof List<?> )
        {
            List<String> sendList = (List<String>) send;
            for ( String tc : sendList )
            {
                this.logger.info( " TC : [{}]", tc );
            }
        } else if ( send instanceof Map<?, ?> )
        {
            Map<String, List<String>> sendMap = (Map<String, List<String>>) send;
            for ( String key : sendMap.keySet() )
            {
                List<String> sendList = sendMap.get( key );
                for ( String tc : sendList )
                {
                    this.logger.info( " TC : {} [{}]", key, tc );
                }
            }
        }
        return GlueBizControlConstants.SUCCESS;
    }
}
