package sample.activity;

import java.util.HashMap;
import java.util.Map;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class EmpDelete extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "biz-dao" );
        int cnt = 0;

        if ( ctx.get( "chk" ) != null && ctx.get( "chk" ) instanceof String[] )
        {
            String checked[] = (String[]) ctx.get( "chk" );
            Object value = ctx.get( "EMPNO" );
            if ( value instanceof String[] )
            {
                String[] empno = (String[]) ctx.get( "EMPNO" );
                Map<String, String> paramMap = new HashMap<String, String>();
                for ( String chk : checked )
                {
                    int idx = Integer.parseInt( chk );
                    paramMap.put( "empno", empno[idx] );
                    cnt += dao.delete( "emp.mapper.deleteEmp", new GlueParameter<Map<String, String>>( paramMap ) );
                }
                ctx.put( "deleteCnt", cnt );
            } else
            {
                logger.debug( "check value" );
            }
        } else
        {
            String empno = (String) ctx.get( "EMPNO" );
            Map<String, String> paramMap = new HashMap<String, String>();
            paramMap.put( "empno", empno );
            cnt += dao.delete( "emp.mapper.deleteEmp", new GlueParameter<Map<String, String>>( paramMap ) );
            ctx.put( "deleteCnt", cnt );
            logger.debug( "check value" );
        }

        return GlueBizControlConstants.SUCCESS;
    }
}