package sample.activity;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class EmpFind extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "biz-dao" );

        Map<String, String> paramMap = new HashMap<String, String>();
        Object value = ctx.get( "deptno" );
        if ( value instanceof String[] )
        {
            paramMap.put( "deptno", ( (String[]) value )[0] );
        } else if ( value instanceof String )
        {
            paramMap.put( "deptno", (String) value );
        } else
        {
            logger.debug( "check value" );
            paramMap.put( "deptno", "" );
        }

        List<?> result = dao.find( "emp.mapper.getEmp", new GlueParameter<Map<String, String>>( paramMap ) );
        ctx.put( "empList", result );

        return GlueBizControlConstants.SUCCESS;
    }
}