package sample.activity;

import java.util.HashMap;
import java.util.Map;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class EmpInsert extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "biz-dao" );

        Map<String, String> paramMap = new HashMap<String, String>();
        Object empno = ctx.get( "empno_insert" );
        if ( empno instanceof String[] )
        {
            paramMap.put( "empno", ( (String[]) empno )[0] );
        } else if ( empno instanceof String )
        {
            paramMap.put( "empno", (String) empno );
        } else
        {
            logger.debug( "check value" );
            paramMap.put( "empno", "" );
        }

        Object ename = ctx.get( "ename_insert" );
        if ( ename instanceof String[] )
        {
            paramMap.put( "ename", ( (String[]) ename )[0] );
        } else if ( ename instanceof String )
        {
            paramMap.put( "ename", (String) ename );
        } else
        {
            logger.debug( "check value" );
            paramMap.put( "ename", "" );
        }

        Object sal = ctx.get( "sal_insert" );
        if ( sal instanceof String[] )
        {
            paramMap.put( "sal", ( (String[]) sal )[0] );
        } else if ( sal instanceof String )
        {
            paramMap.put( "sal", (String) sal );
        } else
        {
            logger.debug( "check value" );
            paramMap.put( "sal", "" );
        }

        Object deptno = ctx.get( "deptno_insert" );
        if ( deptno instanceof String[] )
        {
            paramMap.put( "deptno", ( (String[]) deptno )[0] );
        } else if ( deptno instanceof String )
        {
            paramMap.put( "deptno", (String) deptno );
        } else
        {
            logger.debug( "check value" );
            paramMap.put( "deptno", "" );
        }

        int cnt = dao.insert( "emp.mapper.insertEmp", new GlueParameter<Map<String, String>>( paramMap ) );
        ctx.put( "insertCnt", cnt );

        return GlueBizControlConstants.SUCCESS;
    }
}