package sample.activity;

import java.util.HashMap;
import java.util.Map;

import sample.vo.EmpVO;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.GlueGenericDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class EmpUpdate extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueGenericDao dao = this.getDao( "biz-dao" );
        int cnt = 0;

        if ( ctx.get( "chk" ) != null && ctx.get( "chk" ) instanceof String[] )
        {
            String checked[] = (String[]) ctx.get( "chk" );
            Object empnoObj = ctx.get( "EMPNO" );
            Object enameObj = ctx.get( "ENAME" );
            Object salObj = ctx.get( "SAL" );
            if ( empnoObj instanceof String[] && enameObj instanceof String[] && salObj instanceof String[] )
            {
                String[] empno = (String[]) empnoObj;
                String[] ename = (String[]) enameObj;
                String[] sal = (String[]) salObj;
                for ( String chk : checked )
                {
                    int idx = Integer.parseInt( chk );
                    Map<String, String> paramMap = new HashMap<String, String>();
                    paramMap.put( "empno", empno[idx] );
                    paramMap.put( "ename", ename[idx] );
                    paramMap.put( "sal", sal[idx] );
                    cnt += dao.update( "emp.mapper.updateEmp", new GlueParameter<Map<String, String>>( paramMap ) );

                    EmpVO paramEmp = new EmpVO();
                    paramEmp.setEmpno( Long.parseLong( empno[idx] ) );
                    paramEmp.setEname( ename[idx] );
                    paramEmp.setSal( Long.parseLong( sal[idx] ) );
                    // cnt += dao.update( "emp.mapper.updateEmp", new GlueParameter<EmpVO>( paramEmp ) );
                }
                ctx.put( "updateCnt", cnt );
            } else
            {
                logger.debug( "check value" );
            }
        } else
        {
            Object empnoObj = ctx.get( "EMPNO" );
            Object enameObj = ctx.get( "ENAME" );
            Object salObj = ctx.get( "SAL" );
            Map<String, Object> paramMap = new HashMap<String, Object>();
            paramMap.put( "empno", empnoObj );
            paramMap.put( "ename", enameObj );
            paramMap.put( "sal", salObj );
            cnt += dao.update( "emp.mapper.updateEmp", new GlueParameter<Map<String, Object>>( paramMap ) );

            // EmpVO paramEmp = new EmpVO();
            // paramEmp.setEmpno( Long.parseLong( empnoObj+"" ) );
            // paramEmp.setEname( enameObj+"" );
            // paramEmp.setSal( Long.parseLong( salObj+"" ) );
            // cnt += dao.update( "emp.mapper.updateEmp", new GlueParameter<EmpVO>( paramEmp ) );
            ctx.put( "updateCnt", cnt );
        }

        return GlueBizControlConstants.SUCCESS;
    }
}