package sample.activity;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.cache.GlueCacheLoader;
import com.poscoict.glueframework.cache.GlueCacheManager;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueStaticContext;

public class CacheLoaderTestActivity extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        GlueCacheManager cacheManager = GlueStaticContext.getBeanFactory().getBeanObject( "cacheManager", GlueCacheManager.class );
        GlueCacheLoader bizLoader = GlueStaticContext.getBeanFactory().getBeanObject( "bizLoader", GlueCacheLoader.class );
        String[] cacheKey = (String[])ctx.get( "condition" );
        String cacheRegion = "biz_region";
        Object data = cacheManager.getCacheObject( cacheKey[0], cacheRegion, bizLoader );
        ctx.put( "result", data );
        return GlueBizControlConstants.SUCCESS;
    }
}