package sample.servlet;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServlet;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueWebContext;
import com.poscoict.glueframework.context.GlueContext.WebContentType;
import com.poscoict.glueframework.web.control.GlueWebConstants;

public class SampleServlet extends HttpServlet
{
    private static final long serialVersionUID = 1L;

    @Override
    public void service( ServletRequest req, ServletResponse res ) throws ServletException, IOException
    {
        GlueContext ctx = new GlueWebContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "hello-cache-service" );
        ctx.putAll(  req.getParameterMap() , WebContentType.HTTP_REQUEST_PARAM);
        GlueBizProvider.getController().doAction( ctx );
        req.setAttribute( GlueWebConstants.CONTEXT, ctx );

        getServletConfig().getServletContext().getRequestDispatcher( "flower.jsp" ).forward( req, res );
    }
}