package sample.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;

public class Employee implements Serializable
{
    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    // bhm.xml increment generator Ϸ long ؾ Ѵ.
    private long empno;
    private String ename;
    private String job;
    private BigDecimal mgr;
    private Timestamp hiredate;
    private BigDecimal sal;
    private BigDecimal comm;
    private BigDecimal deptno;

    public Employee()
    {}

    public Employee( long empno )
    {
        this.empno = empno;
    }

    public long getEmpno()
    {
        return empno;
    }

    public void setEmpno( long empno )
    {
        this.empno = empno;
    }

    public String getEname()
    {
        return ename;
    }

    public void setEname( String ename )
    {
        this.ename = ename;
    }

    public String getJob()
    {
        return job;
    }

    public void setJob( String job )
    {
        this.job = job;
    }

    public BigDecimal getMgr()
    {
        return mgr;
    }

    public void setMgr( BigDecimal mgr )
    {
        this.mgr = mgr;
    }

    public Timestamp getHiredate()
    {
        return hiredate;
    }

    public void setHiredate( Timestamp hiredate )
    {
        this.hiredate = hiredate;
    }

    public BigDecimal getSal()
    {
        return sal;
    }

    public void setSal( BigDecimal sal )
    {
        this.sal = sal;
    }

    public BigDecimal getComm()
    {
        return comm;
    }

    public void setComm( BigDecimal comm )
    {
        this.comm = comm;
    }

    public void setComm( String newComm )
    {
        setComm( new BigDecimal( newComm ) );
    }

    public BigDecimal getDeptno()
    {
        return deptno;
    }

    public void setDeptno( BigDecimal deptno )
    {
        this.deptno = deptno;
    }

    /**
     * String Ÿ Comm ϴ Setter Method. Business Method       .
     * 
     * @param newComm Ҵ Comm 
     */
    public void checkDeptAndSave()
    {
        if ( deptno.intValue() == 20 )
        {
            setComm( new BigDecimal( 1000 ) );
        }
    }

    /**
     * Employee ü Printϴ ޼ҵ.
     */
    public void print()
    {
        System.out.println( this.getEmpno() + "\t, " + this.getEname() + "\t, " + this.getJob() + "\t, " + this.getComm() + "\t, " + this.getDeptno() + "\t, " + this.getHiredate() + "\t, " + this.getMgr() + "\t, " + this.getSal() );
    }

    @Override
    public String toString()
    {
        return new StringBuilder().append( this.getEmpno() ).append( "," ).append( this.getEname() ).append( "," ).append( this.getJob() ).append( "," ).append( this.getComm() ).append( "," ).append( getDeptno() ).append( "," ).append( this.getHiredate() ).append( "," ).append( this.getMgr() ).append( "," ).append( this.getSal() ).toString();
    }
}
