package test;

import java.io.File;
import java.util.List;

import sample.vo.Employee;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_sample21
{
    public static void main( String[] args )
    {

        String baseDir = new File( new File( "" ).getAbsolutePath() ).getParent();
        System.setProperty( "CONFIG_PATH", baseDir );
        System.out.println(baseDir);

        GlueBizController controller = GlueBizProvider.getController();
        GlueContext ctx = new GlueDefaultContext();
        List<Employee> result = null;

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample21-service" );
        controller.doAction( ctx );

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample21-service" );
        ctx.put( "find", "event" );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Employee>) ctx.get( "empList" );
        for ( Employee empVO : result )
        {
            System.out.println( empVO );
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample21-service" );
        ctx.put( "insert", "event" );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Employee>) ctx.get( "empList" );
        for ( Employee empVO : result )
        {
            System.out.println( empVO );
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample21-service" );
        ctx.put( "update", "event" );
        ctx.put( "empno", new String[] { "1112" } );
        ctx.put( "comm", new String[] { "2222" } );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Employee>) ctx.get( "empList" );
        for ( Employee empVO : result )
        {
            System.out.println( empVO );
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample21-service" );
        ctx.put( "delete", "event" );
        ctx.put( "empno", new String[] { "1111", "1113" } );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Employee>) ctx.get( "empList" );
        for ( Employee empVO : result )
        {
            System.out.println( empVO );
        }
    }
}