package test;

import java.io.File;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

import javax.sql.DataSource;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;
import com.poscoict.glueframework.context.GlueStaticContext;

public class Test_biz_m2_error1
{
    public static void main( String[] args ) throws SQLException
    {
        String baseDir = new File( new File( "" ).getAbsolutePath() ).getParent();
        System.setProperty( "CONFIG_PATH", baseDir );
        System.out.println( baseDir );

        DataSource ds1 = GlueStaticContext.getBeanFactory().getBeanObject( "biz-dataSource", DataSource.class );
        Connection con1 = ds1.getConnection();
        Statement stmt1 = con1.createStatement();
        stmt1.execute( "delete from emp where deptno=40 or empno in (1111,1112,1113,1114,1115)" );
        stmt1.execute( "insert into emp(empno, deptno) values(1111,40)" );
        con1.commit();
        stmt1.close();
        con1.close();

        DataSource ds2 = GlueStaticContext.getBeanFactory().getBeanObject( "biz2-dataSource", DataSource.class );
        Connection con2 = ds2.getConnection();
        Statement stmt2 = con2.createStatement();
        stmt2.execute( "delete from emp where deptno=40 or empno in (1111,1112,1113,1114,1115)" );
        con2.commit();
        stmt2.close();
        con2.close();
        System.out.println( "delete from emp where deptno=40" );

        System.out.println( "ó#2 -  Start - 'CRUD#1' Activity" );
        GlueBizController controller = GlueBizProvider.getController();
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "biz-m2-service" );
        controller.doAction( ctx );
        System.out.println( "ó#2 -  End - 'CRUD#1' Activity" );
    }
}
