package test;

import java.io.File;
import java.sql.Connection;
import java.sql.SQLException;
import java.sql.Statement;

import javax.sql.DataSource;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;
import com.poscoict.glueframework.context.GlueStaticContext;

public class Test_biz_main_error2
{
    public static void main( String[] args ) throws SQLException
    {

        String baseDir = new File( new File( "" ).getAbsolutePath() ).getParent();
        System.setProperty( "CONFIG_PATH", baseDir );
        System.out.println( baseDir );

        DataSource ds = GlueStaticContext.getBeanFactory().getBeanObject( "biz-dataSource", DataSource.class );
        Connection con = ds.getConnection();
        Statement stmt = con.createStatement();
        stmt.execute( "delete from emp where deptno=40 or empno in (1111,1112,1113,1114,1115)" );
        stmt.execute( "insert into emp(empno, deptno) values(1112,40)" );
        con.commit();
        stmt.close();
        con.close();
        System.out.println( "delete from emp where deptno=40" );

        System.out.println( "ó#2 -  Start - 'CRUD#2' Activity" );
        GlueBizController controller = GlueBizProvider.getController();
        GlueContext ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "biz-main-service" );
        controller.doAction( ctx );
        System.out.println( "ó#2 -  End - 'CRUD#2' Activity" );
    }
}
