package test;

import java.io.File;
import java.util.List;
import java.util.Map;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizController;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;

public class Test_sample01
{
    public static void main( String[] args )
    {

        String baseDir = new File( new File( "" ).getAbsolutePath() ).getParent();
        System.setProperty( "CONFIG_PATH", baseDir );
        System.out.println(baseDir);

        GlueBizController controller = GlueBizProvider.getController();
        GlueContext ctx = new GlueDefaultContext();
        List<Map<?, ?>> result =  null;

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample01-service" );
        controller.doAction( ctx );

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample01-service" );
        ctx.put( "find", "event" );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Map<?,?>>)ctx.get( "EmpList" );
        for ( Map<?, ?> map : result )
        {
            System.out.println(map);
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample01-service" );
        ctx.put( "insert", "event" );
        ctx.put( "empno_insert", "1234" );
        ctx.put( "ename_insert", "test" );
        ctx.put( "sal_insert", "2000" );
        ctx.put( "deptno_insert", "10" );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Map<?,?>>)ctx.get( "EmpList" );
        for ( Map<?, ?> map : result )
        {
            System.out.println(map);
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample01-service" );
        ctx.put( "update", "event" );
        ctx.put( "SAL", "3000" );
        ctx.put( "ENAME", "Test" );
        ctx.put( "EMPNO", "1234" );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Map<?,?>>)ctx.get( "EmpList" );
        for ( Map<?, ?> map : result )
        {
            System.out.println(map);
        }

        System.out.println("**************************************************");
        ctx = new GlueDefaultContext();
        ctx.put( GlueBizControlConstants.SERVICE_NAME, "sample01-service" );
        ctx.put( "delete", "event" );
        ctx.put( "EMPNO", "1234" );
        ctx.put( "deptno", "10" );
        controller.doAction( ctx );
        result = (List<Map<?,?>>)ctx.get( "EmpList" );
        for ( Map<?, ?> map : result )
        {
            System.out.println(map);
        }
    }
}