package test;

import java.io.File;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class SQLite_DB
{
    public static void main( String args[] )
    {
        String baseDir = new File( new File( "" ).getAbsolutePath() ).getParent();
        StringBuilder sb = null;
        Connection conn = null;
        Statement stmt = null;
        ResultSet rs = null;
        try
        {
            Class.forName( "org.sqlite.JDBC" );
            conn = DriverManager.getConnection( "jdbc:sqlite:/"+baseDir+"/layout.db" );
            stmt = conn.createStatement();
            System.out.println( "Opened database successfully" );

            sb = new StringBuilder();
            sb.append( "create table LAYOUT(" );
            sb.append( "MDL_DEFINE_NM text not null" );
            sb.append( ", MDL_DEFINE_DT_NM_SEQ integer not null" );
            sb.append( ", MDL_DEFINE_DT_NM_GROUP_TP text not null" );
            sb.append( ", STANDARD_ENGLISH_ID text not null" );
            sb.append( ", STANDARD_KOREAN_NAME text not null" );
            sb.append( ", MDL_DEFINE_DT_NM_DATA_TP integer not null" );
            sb.append( ", MDL_DEFINE_DT_NM_LEN integer not null" );
            sb.append( ", MDL_DEFINE_DT_NM_V_DECI_PREC integer" );
            
            sb.append( ", CONSTRAINT LAYOUT_PK PRIMARY KEY (MDL_DEFINE_NM, MDL_DEFINE_DT_NM_SEQ))" );
            stmt.executeUpdate( sb.toString() );
            System.out.println( "Table created successfully" );


            stmt.execute( "PRAGMA foreign_keys = ON" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW001',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW001',2,'E','DEPTNO','μȣ',2,2,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW001',3,'E','DNAME','μ',1,14,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW001',4,'E','DLOC','μġ',1,13,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW001',5,'E','CRUD','CRUD',1,1,null)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',2,'E','EMPNO','ȣ',2,4,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',3,'E','ENAME','̸',1,10,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',4,'E','JOB','JOB',1,9,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',5,'E','MGR','MGR',2,4,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',6,'E','HIREDATE','HIREDATE',3,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',7,'E','SAL','SAL',2,7,2)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',8,'E','COMM','COMM',2,7,2)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW002',9,'E','DEPTNO','μȣ',2,2,0)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',2,'E','DEPTNO','μȣ',2,2,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',3,'E','DNAME','μ',1,14,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',4,'E','DLOC','μġ',1,13,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',5,'G','EMPSET','׷',6,3,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',6,'GE','EMPNO','ȣ',2,4,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',7,'GE','ENAME','̸',1,10,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',8,'E','CRUD','CRUD',1,1,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW003',9,'E','ETC','ETC',1,1,null)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGFW004',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW004',2,'E','DEPTNO','μȣ',2,2,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW004',3,'E','DNAME','μ',1,14,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW004',4,'E','DLOC','μġ',1,13,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW004',5,'E','CRUD','CRUD',1,1,null)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGFW005',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW005',2,'E','DEPTNO','μȣ',2,2,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW005',3,'E','DNAME','μ',1,14,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW005',4,'E','DLOC','μġ',1,13,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW005',5,'E','CRUD','CRUD',1,1,null)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGFW006',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW006',2,'E','DEPTNO','μȣ',2,2,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW006',3,'E','DNAME','μ',1,14,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW006',4,'E','DLOC','μġ',1,13,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGFW006',5,'E','CRUD','CRUD',1,1,null)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',2,'E','EMPNO','ȣ',2,4,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',3,'E','ENAME','̸',1,10,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',4,'E','JOB','JOB',1,9,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',5,'E','MGR','MGR',2,4,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',6,'E','HIREDATE','HIREDATE',3,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',7,'E','SAL','SAL',2,7,2)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',8,'E','COMM','COMM',2,7,2)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND1',9,'E','DEPTNO','μȣ',2,2,0)" );

            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',1,'E','TRANSACTION_CODE','TransactionCode',1,8,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',2,'E','DEPTNO','μȣ',2,2,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',3,'E','DNAME','μ',1,14,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',4,'E','DLOC','μġ',1,13,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',5,'G','EMPSET','׷',6,3,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',6,'GE','EMPNO','ȣ',2,4,0)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',7,'GE','ENAME','̸',1,10,null)" );
            stmt.executeUpdate( "insert into LAYOUT values('MSGSEND2',8,'E','CRUD','CRUD',1,1,null)" );
            System.out.println( "Records created successfully" );

            rs = stmt.executeQuery( "select * from LAYOUT" );
            System.out.println( "id|seq|atype|aid|aname|dtype|len|pre" );
            while ( rs.next() )
            {
                System.out.println( rs.getString( "MDL_DEFINE_NM" )
                        + "|" + rs.getInt( "MDL_DEFINE_DT_NM_SEQ" )
                        + "|" + rs.getString( "MDL_DEFINE_DT_NM_GROUP_TP" )
                        + "|" + rs.getString( "STANDARD_ENGLISH_ID" )
                        + "|" + rs.getString( "STANDARD_KOREAN_NAME" )
                        + "|" + rs.getInt( "MDL_DEFINE_DT_NM_DATA_TP" )
                        + "|" + rs.getInt( "MDL_DEFINE_DT_NM_LEN" )
                        + "|" + rs.getInt( "MDL_DEFINE_DT_NM_V_DECI_PREC" ) );
            }
            System.out.println( "Operation done successfully" );

        } catch ( Exception e )
        {
            e.printStackTrace();
        } finally
        {
            try
            {
                rs.close();
            } catch ( SQLException e )
            {
                e.printStackTrace();
            }
            try
            {
                stmt.close();
            } catch ( SQLException e )
            {
                e.printStackTrace();
            }
            try
            {
                conn.close();
            } catch ( SQLException e )
            {
                e.printStackTrace();
            }
        }
        System.out.println( "DONE" );
    }
}
