package sample.activity;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;

public class CreateMessage extends GlueActivity<GlueContext>
{
    // Do not define the Class Member Variable!!
    public String runActivity( GlueContext ctx )
    {
        if ( "file".equals( this.getProperty( "type" ) ) )
        {
            String file = new File( System.getProperty( "CONFIG_PATH" ) ).getPath() + File.separator + "fileout" + File.separator + "MSGFW004.dat";
            ctx.put( "fileObj", file );
        } else
        {
            List<String> tcList = new ArrayList<String>();
            tcList.add( "MSGFW00190                           D        " );
            tcList.add( "MSGFW00190abcde         seoul        C        " );
            tcList.add( "MSGFW00190ABCDE         SEOUL(??)    U        " );
            ctx.put( "stringObj", tcList );
        }
        return GlueBizControlConstants.SUCCESS;
    }
}