package sample.activity;

import java.util.ArrayList;
import java.util.List;

import com.poscoict.glueframework.biz.activity.GlueActivity;
import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.dao.jdbc.GlueGenericJdbcDao;
import com.poscoict.glueframework.dao.vo.GlueParameter;

public class ValueRouter extends GlueActivity<GlueContext> {
    // Do not define the Class Member Variable!!
    public String runActivity(GlueContext ctx) {
        GlueGenericJdbcDao dao = (GlueGenericJdbcDao) this.getDao("test-dao");
        
        GlueParameter<List<?>> param = new GlueParameter<List<?>>();
        List<Object> paramList = new ArrayList<Object>();
        paramList.add("10");
        param.setParameter(paramList);
        
        List<?> result = dao.find("emp.select", param);
        ctx.put("result", result);

        return GlueBizControlConstants.SUCCESS;
    }
}